%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                         MPROCL.STY                             %
% Style file to be used for 9.75 x 6.5 in size proceedings       %
% files to be published by World Scientific Publishing Co.       %
% written in Latex and using some reconstructions designed by    %
% Susan Hezlet, based on a style file by Lukas Nellen.           %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Making the Title, with definitions for date, abstract etc %
% This part  written by David Cassel                        %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\def\@aabuffer{}
\def\author #1{\expandafter\def\expandafter\@aabuffer\expandafter
{\@aabuffer \normalsize\rm      #1\relax \par\vspace{0.75em}}}
\def\address#1{\expandafter\def\expandafter\@aabuffer\expandafter
{\@aabuffer \normalsize\it #1\relax \par\vspace{1.5em}}}

\def\maketitle{
\begin{center}
   {\bf \@title \par}
   \vskip 2em                      % Vertical space after title.
   \@aabuffer\relax
\end{center} \par
\gdef\@aabuffer{}
}

\def\abstracts#1{
\begin{center}
{\begin{minipage}{4.5truein}
                 \footnotesize
                 \parindent=0pt #1\par
                 \end{minipage}}\end{center}
                 \vskip 2em \par}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Margins, textwidths, indentations etc %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\fussy
\flushbottom
\parindent 0.25in
\oddsidemargin 0.6in
\evensidemargin 0.6in
\topmargin=0.5in
\headheight=0.1in
\headsep= 0.2in
\footskip=0.3in
\footheight=0.3in
\textheight = 7.7in
\textwidth 5in
\def\section{\@startsection {section}{1}{\z@}{-3.5ex plus -1ex minus
    -.2ex}{2.3ex plus .2ex}{\bf }}
\def\subsection{\@startsection{subsection}{2}{\z@}{-3.25ex plus -1ex minus
   -.2ex}{1.5ex plus .2ex}{\it }}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   alpha footnotes, no running heads and silly citations.      %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\def\thefootnote{\alph{footnote}}
\def\@makefnmark{\hbox to 0pt{$^{\@thefnmark}$\hss}}

\pagestyle{plain}


\renewenvironment{thebibliography}[1]
        {\begin{list}{\arabic{enumi}.}
        {\usecounter{enumi}\setlength{\parsep}{0pt}
         \setlength{\itemsep}{0pt} \settowidth
        {\labelwidth}{#1.}\sloppy}}{\end{list}}

%---------------------------------------------------------------------------
%FOLLOWING THREE COMMANDS ARE FOR `LIST' COMMAND.
\topsep=0in\parsep=0in\itemsep=0in

\newcounter{arabiclistc}
\newenvironment{arabiclist}
        {\setcounter{arabiclistc}{0}
         \begin{list}{\arabic{arabiclistc}}
        {\usecounter{arabiclistc}
         \setlength{\parsep}{0pt}
         \setlength{\itemsep}{0pt}}}{\end{list}}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% ACKNOWLEDGEMENT: this portion is from John Hershberger %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\def\@citex[#1]#2{\if@filesw\immediate\write\@auxout
        {\string\citation{#2}}\fi
\def\@citea{}\@cite{\@for\@citeb:=#2\do
        {\@citea\def\@citea{,}\@ifundefined
        {b@\@citeb}{{\bf ?}\@warning
        {Citation `\@citeb' on page \thepage \space undefined}}
        {\csname b@\@citeb\endcsname}}}{#1}}

\newif\if@cghi
\def\cite{\@cghitrue\@ifnextchar [{\@tempswatrue
        \@citex}{\@tempswafalse\@citex[]}}
\def\citelow{\@cghifalse\@ifnextchar [{\@tempswatrue
        \@citex}{\@tempswafalse\@citex[]}}
\def\@cite#1#2{{$\null^{#1}$\if@tempswa\typeout
        {IJCGA warning: optional citation argument
        ignored: `#2'} \fi}}
\newcommand{\citeup}{\cite}

\setcounter{secnumdepth}{2}

\def\baselinestretch{1.0}
\ifx\selectfont\undefined
\@normalsize\else\let\glb@currsize=\relax\selectfont
\fi

\ifx\selectfont\undefined
\def\@singlespacing{%
\def\baselinestretch{1}\ifx\@currsize\normalsize\@normalsize\else\@currsize\fi%
}
\else
\def\@singlespacing{\def\baselinestretch{1}\let\glb@currsize=\relax\selectfont}
\fi

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Footnote size table and figure captions %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\long\def\@makecaption#1#2{
   \vskip 10pt
   \setbox\@tempboxa\hbox{\footnotesize #1: #2}
   \ifdim \wd\@tempboxa >\hsize   % IF longer than one line:
       \leftskip 0pt plus 1fil
       \rightskip 0pt plus -1fil
       \parfillskip 0pt plus 2fil
       \footnotesize #1: #2\par   %   THEN set as ordinary paragraph.
     \else                        %   ELSE  center.
       \hbox to\hsize{\hfil\box\@tempboxa\hfil}
   \fi}


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                           %
%  END OF FILE MPROCL.STY   %
%                           %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

